Package uk.ac.starlink.topcat

# Interface ResourceInfo

public interface ResourceInfo
Mixed bag of information that can characterise a resource. Used in conjunction with `ResourceType`.

Since:
  3 Jan 2022
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getContentQualifier()`
Returns the content qualifier for the resource, or null if not known.
`String`
`getContentType()`
Returns the known or inferred Content-Type string (RFC 2045) for the resource, or null if not known.
`String`
`getStandardId()`
Returns the known or inferred IVOA Standard ID for the resource, or null if not known.
`URL`
`getUrl()`
Returns the URL of the resource.

## Method Details

### getUrl

URL getUrl()
Returns the URL of the resource.

Returns:
  resource URL

### getContentType

String getContentType()
Returns the known or inferred Content-Type string (RFC 2045) for the resource, or null if not known.

Returns:
  content-type string, or null

### getContentQualifier

String getContentQualifier()
Returns the content qualifier for the resource, or null if not known. This is typically a term (prefixed with "`#`") from the Data Product Type vocabulary, as provided for instance by the `content_qualifier` entry in a DataLink 1.1 Links table.

Returns:
  content qualifier, or null

### getStandardId

String getStandardId()
Returns the known or inferred IVOA Standard ID for the resource, or null if not known.

Returns:
  standardID URI, or null